Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Class QueryResultCache

    java.lang.Object
      kodo.persistence.QueryResultCache

    public class QueryResultCache

extends Object

Query result cache.

Since:
  4.0

Constructor Summary
`QueryResultCache(kodo.datacache.QueryCache cache)` Constructor; supply delegate.

Method Summary
`boolean` | `equals(Object other)`
`void` | `evict(Query q)` Evict a query result from the cache.
`void` | `evictAll()` Clear the cache.
`void` | `evictAll(Class cls)` Evict all result for queries involving the given class.
`kodo.datacache.QueryCache` | `getDelegate()` Delegate.
`int` | `hashCode()`
`void` | `pin(Query q)` Pin the given query's result to the cache.
`void` | `unpin(Query q)` Unpin a previously-pinned query result.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResultCache

    public QueryResultCache(kodo.datacache.QueryCache cache)

  Constructor; supply delegate.

Method Detail

### getDelegate

    public kodo.datacache.QueryCache getDelegate()

  Delegate.

### pin

    public void pin(Query q)

  Pin the given query's result to the cache.

### unpin

    public void unpin(Query q)

  Unpin a previously-pinned query result.

### evict

    public void evict(Query q)

  Evict a query result from the cache.

### evictAll

    public void evictAll()

  Clear the cache.

### evictAll

    public void evictAll(Class cls)

  Evict all result for queries involving the given class.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.